Package com.ocient.jdbc

# Class JDBCDriver

java.lang.Object
com.ocient.jdbc.JDBCDriver

All Implemented Interfaces:
  `Driver`

public class JDBCDriver extends Object implements Driver

## Constructor Summary

Constructors
Constructor
Description
`JDBCDriver()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptsURL(String arg0)`
`Connection`
`connect(String arg0, Properties arg1)`
`static void`
`copyJDBCLoggingConfig(Logger loggerToUpdate)`
See `copyJDBCLoggingConfig(Logger, Optional)`
`static void`
`copyJDBCLoggingConfig(Logger loggerToUpdate, Optional<Level> levelOverride)`
Copies the logging configuration from the com.ocient.jdbc logger into the `loggerToUpdate`
`Connection`
`createConnection(String hostname, int portNum, String database, CaselessProperties properties)`
`String`
`getDriverVersion()`
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`Logger`
`getParentLogger()`
`static DriverPropertyInfo[]`
`getPropertyInfo()`
`DriverPropertyInfo[]`
`getPropertyInfo(String arg0, Properties arg1)`
`boolean`
`jdbcCompliant()`
`static Properties`
`parseConnectionProperties(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDBCDriver

public JDBCDriver()

## Method Details

### acceptsURL

public boolean acceptsURL(String arg0) throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

### copyJDBCLoggingConfig

public static void copyJDBCLoggingConfig(Logger loggerToUpdate)
See `copyJDBCLoggingConfig(Logger, Optional)`

Parameters:
  `loggerToUpdate` - the logger to update

### copyJDBCLoggingConfig

public static void copyJDBCLoggingConfig(Logger loggerToUpdate, Optional<Level> levelOverride)
Copies the logging configuration from the com.ocient.jdbc logger into the `loggerToUpdate`

Parameters:
  `loggerToUpdate` - the logger to update
  `levelOverride` - when empty the logger will inherit the com.ocient.jdbc log level

### connect

public Connection connect(String arg0, Properties arg1) throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

### parseConnectionProperties

public static Properties parseConnectionProperties(String text) throws SQLException

Throws:
  `SQLException`

### createConnection

public Connection createConnection(String hostname, int portNum, String database, CaselessProperties properties) throws SQLException

Throws:
  `SQLException`

### getDriverVersion

public String getDriverVersion()

### getMajorVersion

public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

### getMinorVersion

public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

### getParentLogger

public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `Driver`

### getPropertyInfo

public DriverPropertyInfo[] getPropertyInfo(String arg0, Properties arg1) throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

### getPropertyInfo

public static DriverPropertyInfo[] getPropertyInfo()

### jdbcCompliant

public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`